require "bullet"
require "player"
require "enemy"
require "text"
require "TEsound"

function love.load()
	bg = love.graphics.newImage("bg.png")
    --love.graphics.setBackgroundColor(0,102,0)

    -- Loads Libraries --
    player.load()
    text.load()

    screenWidth = love.graphics.getWidth()
    screenHeight = love.graphics.getHeight()
    
end

function love.keypressed(key)
	player.shoot(key)
end	

function love.update(dt)
    UPDATE_PLAYER(dt)
    UPDATE_BULLET(dt)
    UPDATE_ENEMY(dt)
    UPDATE_TEXT(dt)

    TEsound.cleanup()
end

function love.draw()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(bg, 0, 0)

    DRAW_PLAYER()
    DRAW_BULLET()
    DRAW_ENEMY()
    DRAW_TEXT()

end